The Alternative Csound Reference Manual
Previous |  | Next

# outk

outk -- Passes k-rate values out of a sub-instrument.

## Description

Sends k-rate values to be returned from a sub-instrument.

## Syntax

outk k1 [, k2] [...]

## Performance

k1, k2, etc. -- k-rate values returned for the sub-instrument call.

| Note
| If an instrument containing outk is called as a normal instrument, then the opcode will have no effect.

## Examples

See the example for the ink opcode.

## See Also

Calling an Instrument Within an Instrument, ink

## Credits

Author: Matt Ingalls

New in version 4.21

Previous | Home | Next
outipc | Up | outkat